import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRElectricalEnergyMeasurementClusterMeasurementAccuracyRangeStruct extends _NSObject {
    static alloc(): _MTRElectricalEnergyMeasurementClusterMeasurementAccuracyRangeStruct;
    static new(): _MTRElectricalEnergyMeasurementClusterMeasurementAccuracyRangeStruct;
    init(): _MTRElectricalEnergyMeasurementClusterMeasurementAccuracyRangeStruct;
    rangeMin(): _NSNumber;
    setRangeMin$(value: _NSNumber): void;
    rangeMax(): _NSNumber;
    setRangeMax$(value: _NSNumber): void;
    percentMax(): _NSNumber | null;
    setPercentMax$(value: _NSNumber | null): void;
    percentMin(): _NSNumber | null;
    setPercentMin$(value: _NSNumber | null): void;
    percentTypical(): _NSNumber | null;
    setPercentTypical$(value: _NSNumber | null): void;
    fixedMax(): _NSNumber | null;
    setFixedMax$(value: _NSNumber | null): void;
    fixedMin(): _NSNumber | null;
    setFixedMin$(value: _NSNumber | null): void;
    fixedTypical(): _NSNumber | null;
    setFixedTypical$(value: _NSNumber | null): void;
}
export interface _MTRElectricalEnergyMeasurementClusterMeasurementAccuracyRangeStruct extends _NSCopying {
}
